::game_text_top <- SpawnEntityFromTable("game_text",
{
    color = "236 227 203",
    color2 = "0 0 0",
    channel = 0,
    effect = 0,
    fadein = 0,
    fadeout = 0,
    fxtime = 0,
    holdtime = 250,
    message = "0asd",
    spawnflags = 0,
    x = -1,
    y = 0.07
});

tf_player_manager.ValidateScriptScope();
tf_player_manager.GetScriptScope().ThinkScoreboard <- function()
{
    foreach (player in GetAllClients())
        SetPropIntArray(tf_player_manager, "m_iTotalScore", GetScore(player), player.entindex());
    return -1;
}
AddThinkToEnt(tf_player_manager, "ThinkScoreboard");
tf_player_manager.AddFlag(EFL_NO_THINK_FUNCTION);

AddTimer(-1, function()
{
    if (!IsValidRound())
        return 0;
    if (hasRoundEnded)
        return 0;
    local firstPlace = GetFirstPlace();
    local firstPlaceEnt = PlayerInstanceFromIndex(firstPlace[0]);
    local secondPlace = GetSecondPlace();
    local secondPlaceEnt = PlayerInstanceFromIndex(secondPlace[0]);
    foreach (player in GetAllClients())
    {
        local res = "";
            res += GetPropString(firstPlaceEnt, "m_szNetname")+"  "+firstPlace[1].tointeger()+"   |   ";
        if (firstPlaceEnt != player)
            res += GetScore(player).tointeger() + "  " + GetPropString(player, "m_szNetname");
        else
        {
            res += secondPlace[1].tointeger() +"  "+GetPropString(secondPlaceEnt, "m_szNetname");
        }
        res += "\nPlaying to∶ " + fragLimit;
        EntFireByHandle(game_text_top, "AddOutput", "message " + res, 0, player, player);
        EntFireByHandle(game_text_top, "Display", "", 0, player, player);
    }
});