/*playerFlameFixer <- Entities.FindByName(null, "player_flame_fixer");
if (true)
{
    printl("a")
    playerFlameFixer <- Entities.CreateByClassname("player");
    playerFlameFixer.KeyValueFromString("targetname", "player_flame_fixer");
    playerFlameFixer.KeyValueFromString("TeamNum", "5");
    //printl("b")
    //SetPropInt(playerFlameFixer, "m_iTeamNum", 2);

    printl(playerFlameFixer)
    //playerFlameFixer.SetTeam(1);
}*/

//Make projectiles instantly collide with other players
AddTimer(-1, 0, function ()
{
    for (local projectile; projectile = Entities.FindByClassname(projectile, "tf_projectile*");)
        projectile.SetTeam(1);
});

OnGameEvent("OnTakeDamage", 0, function(player, params)
{
    //Caber Fix (didn't use to explode on teammates)
    if (GetPropInt(params.weapon, "m_iDetonated") == 0)
    {
        if (player.GetTeam() != params.attacker.GetTeam())
            return;
        local ogTeam = player.GetTeam();
        player.ForceChangeTeam(player.GetTeam() == TF_TEAM_RED ? TF_TEAM_BLUE : TF_TEAM_RED, false);
        RunWithDelay(-1, function(ogTeam) {
            self.ForceChangeTeam(ogTeam, false);
        }, ogTeam, player)
    }
    //Flamethtower fix
    //if player == playerFlameFixer
});

AddTimer(-1, 0, function ()
{
    foreach(player in GetAllPlayers())
    {
        //Demoshield Charge Fix
        if (HasTarge(player))
        {
            local charge = GetPropFloat(player, "m_Shared.m_flChargeMeter");
            if ((GetPropInt(player, "m_nButtons") & IN_ATTACK2) && charge >= 100)
                player.AddCond(TF_COND_SHIELD_CHARGE);
            if (player.InCond(TF_COND_SHIELD_CHARGE))
            {
                if (charge <= 40)
                    player.AddCondEx(TF_COND_CRITBOOSTED_PUMPKIN, 0.75, player);
                else if (charge <= 75)
                    player.AddCondEx(TF_COND_OFFENSEBUFF, 0.75, player);
                if ((GetPropInt(player, "m_nButtons") & IN_ATTACK))
                    SetPropFloat(player, "m_Shared.m_flChargeMeter", 0);
            }
        }

        //Last Weapon Fix
        local weapon = player.GetActiveWeapon();
        local activeSlot = weapon ? weapon.GetSlot() : -1;
        for (local i = 0; i < 10; i++)
        {
            local weaponEnt = GetPropEntityArray(player, "m_hMyWeapons", i);
            if (weaponEnt && weaponEnt.GetSlot() != activeSlot)
                SetPropEntity(player, "m_hLastWeapon", weaponEnt)
        }

        //Flamethrower fix
        /*local weapon = player.GetActiveWeapon();
        if (weapon.GetClassname() == "tf_weapon_flamethrower")
        {
            printl(Entities.FindByClassname(null, "worldspawn"))
            Entities.FindByClassname(null, "worldspawn").SetTeam(2);
            weapon.SetOwner(Entities.FindByClassname(null, "worldspawn"));
        }*/
    }
});
