damageTables <- player_collection(player_collection(0));

OnGameEvent("OnTakeDamage", 100, function(victim, params)
{
    if (params.damage > 1000)
        params.damage = 1000;
});

OnGameEvent("player_hurt", 100, function(victim, params)
{
    if (!IsValidRound())
        return;
    local attacker = GetPlayerFromParams(params, "attacker");
    if (attacker)
        damageTables[victim.entindex()][attacker.entindex()] += params.damageamount;
    else
        attacker = victim;

    if (victim.GetHealth() <= 0)
    {
        local assister = GetAssister(victim, attacker);
        if (attacker != victim)
        {
            if (assister != victim)
                victim.AddCondEx(TF_COND_URINE, 0, assister);

            if (teamSwitch)
            {
            local victimTeam = victim.GetTeam();
            SetPropInt(victim, "m_iTeamNum", 1);
            RunWithDelay(-1, function(victim) {
                if (IsValidClient(victim))
                    SetPropInt(victim, "m_iTeamNum", victimTeam);
            }, victim, main_script)
            }
        }
        else if (assister != victim && teamSwitch)
        {
            victim.SetHealth(1100);
            local victimTeam = victim.GetTeam();
            RunWithDelay(-1, function(victim) {
                if (!IsValidClient(victim))
                    return;
                victim.SetHealth(1);
                victim.TakeDamageEx(
                    null,
                    assister,
                    null,
                    Vector(),
                    Vector(),
                    100,
                    0);
                SetPropInt(victim, "m_iTeamNum", victimTeam);
            }, victim, main_script)
        }
    }
})

OnGameEvent("player_death", 10, function(victim, params)
{
    if (!IsValidRound())
        return;
    local attacker = GetPlayerFromParams(params, "attacker");
    local assister = GetPlayerFromParams(params, "assister");

    if (attacker && attacker != victim)
    {
        kills[attacker.entindex()]++;
        kills2[attacker.entindex()]++;
    }
    if (assister && assister != victim)
    {
        assists[assister.entindex()]++;
        assists2[assister.entindex()]++;
    }
});

function GetAssister(victim, attacker)
{
    local assister = victim.entindex();
    attacker = attacker.entindex();
    local damage = 20;
    foreach(iAssister, iDamage in damageTables[victim.entindex()])
    {
        local iAssisterEnt = PlayerInstanceFromIndex(iAssister);
        if (iDamage > damage && iAssister != attacker && GetCurrentGunGameWeapon(iAssisterEnt) != GetWeaponTypeByName("golden_crowbar"))
        {
            assister = iAssister;
            damage = iDamage;
        }
    }
    return PlayerInstanceFromIndex(assister);
}

OnGameEvent("player_spawn", 0, function(player, params)
{
    damageTables[player.entindex()] = player_collection(0);
});

AddTimer(1, 0, function()
{
    foreach(damageTable in damageTables)
        foreach(player, damage in damageTable)
            if (damage > 0)
                damageTable[player] = damage - 5;
})