::GUNGAME_WEAPON_POOLS <- [
    [
        ["rocket_launcher", "rocket_launcher"],
        //["flamethrower"],
        ["beggars_bazooka", "beggars_bazooka", "airstrike", "black_box", "liberty_launcher"], //beg
        ["minigun", "tomislav"],
        ["scattergun", "shotgun", "family_business"],
    ],
    [
        ["direct_hit", "grenade_launcher", "loch_n_load", "loose_cannon"/*, "dragons_fury"*/],
        ["sticky_launcher", "quickie_launcher"],
        ["eyelander_and_targe", "claymore_and_tide_turner", /*"caber_and_splendid_screen"*/],
        ["sniper_rifle", "awper_hand"],
        ["huntsman"],
    ],
    [
        ["shortstop", "force_a_nature"],
        ["smg", "syringe_gun"],
        ["revolver", "ambassador"],
        ["pistol", "pocket_pistol"],
    ],
    [
        ["golden_crowbar"]
    ],
    [
        ["victory"]
    ]
    //["flaregun", "detonator", "scorch_shot"],
    //["righteous_bison", "rescue_ranger", "pomson_6000"],
    //["jarate_and_bushwacka", /*"fists_of_steel"/*, "equalizer"*/],
]

::GUNGAME_ORDER <- [];

::BuildWeaponPool <- function()
{
    foreach(majorSet in GUNGAME_WEAPON_POOLS)
        foreach(set in majorSet)
            GUNGAME_ORDER.push(set[RandomInt(0, set.len() - 1)]);
    /*foreach(majorSet in GUNGAME_WEAPON_POOLS)
        foreach(set in majorSet)
            foreach(weapon in set)
                GUNGAME_ORDER.push(weapon);*/
    if (GetPersistentVar("no_flame", false))
        for (local i = 0; i < GUNGAME_ORDER.len(); i++)
            if (GUNGAME_ORDER[i] == "flamethrower" || GUNGAME_ORDER[i] == "dragons_fury")
                GUNGAME_ORDER[i] = "shotgun";
    //foreach(weapon in GUNGAME_ORDER)
    //    printl(weapon);
}
BuildWeaponPool();

::GetCurrentGunGameWeapon <- function(player)
{
    local index = clampCeiling(
        gunGameProgress[player.entindex()],
        GUNGAME_ORDER.len() - 1);
    return GetWeaponTypeByName(GUNGAME_ORDER[index]);
}

::GetNextGunGameWeapon <- function(player)
{
    local index = clampCeiling(
        gunGameProgress[player.entindex()] + 1,
        GUNGAME_ORDER.len() - 1);
    return GetWeaponTypeByName(GUNGAME_ORDER[index]);
}
