::isFeedbackRound <- false;

::IsValidRound <- function()
{
    if (isFeedbackRound)
    {
        local lizard = FindTheLizard();
        if (lizard)
        {
            try
            {
                throw "IsValidRound check at: "
            }
            catch (e) {
            	PrintError(lizard, e)
            }
        }
    }
    return !isFeedbackRound;
}

::OnFeedbackRound <- function()
{
    isFeedbackRound = true;
    foreach(player in GetAllClients())
    {
        player.SetCustomModelWithClassAnimations("");
        player.TerminateScriptScope();
    }
    main_script.TerminateScriptScope();
    main_script_entity.Kill();
}

local feedbackRelay = SpawnEntityFromTable("logic_relay", {
    targetname = "TF2M_FeedbackRoundRelay",
    spawnflags = 0,
    "OnTrigger": "!self,RunScriptCode,OnFeedbackRound(),0,-1",
});